//
// $Id: Hello.h 76555 2007-01-24 15:39:09Z johnnyw $
//

#ifndef HELLO_H
#define HELLO_H

#include /**/ "ace/pre.h"

#include "TestS.h"

class Hello
  : public virtual POA_Test::Hello
{
public:
  /// Constructor
  Hello(CORBA::ORB_ptr orb, bool simulate_crashes);

  virtual void short_sleep (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

private:
  CORBA::ORB_var orb_;

  bool simulate_crashes_;

  ACE_Atomic_Op<TAO_SYNCH_MUTEX,long> atomic_counter_;
};

#include /**/ "ace/post.h"
#endif /* HELLO_H */
